"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveEnvs = void 0;
const environments_1 = require("@microlambda/environments");
const resolveEnvs = async (project, env, ssmMode = environments_1.SSMResolverMode.ERROR, region, logger) => {
    const envs = new Map();
    const loader = new environments_1.EnvironmentLoader(project, region, logger);
    const loadEnv$ = [...project.services.values()].map((service) => loader
        .loadAll({
        env,
        service,
        shouldInterpolate: true,
        overwrite: false,
        ssmMode,
        inject: false,
    })
        .then((loadedEnv) => {
        const vars = {};
        for (const entry of loadedEnv) {
            if (entry.value) {
                vars[entry.key] = entry.value;
            }
        }
        envs.set(service.name, vars);
    }));
    await Promise.all(loadEnv$);
    return envs;
};
exports.resolveEnvs = resolveEnvs;
//# sourceMappingURL=environment.js.map