import { Project as RunnerProject } from '@microlambda/runner-core';
import { Workspace } from './workspace';
import { EventsLog, EventsLogger } from '@microlambda/logger';
export declare class Project extends RunnerProject {
    readonly logger?: EventsLogger | undefined;
    private _services;
    private _packages;
    constructor(prj: RunnerProject, logger?: EventsLogger | undefined);
    static scope: string;
    get log(): EventsLogger | undefined;
    static loadProject(root: string, logger?: EventsLog): Promise<Project>;
    getWorkspace(name: string): Workspace | null;
    get services(): Map<string, Workspace>;
    get packages(): Map<string, Workspace>;
}
