import { Workspace as RunnerWorkspace } from '@microlambda/runner-core';
import { ICommandMetrics, ICommandMetric, ServiceStatus, TranspilingStatus, TypeCheckStatus } from '@microlambda/types';
import { IServicePortsConfig } from '../resolve-ports';
export declare class Workspace extends RunnerWorkspace {
    constructor(wks: RunnerWorkspace, ports?: IServicePortsConfig);
    private _ports;
    private _isService;
    private _isSlsService;
    private _transpiled;
    private _typechecked;
    private _started;
    private _metrics;
    get transpiled(): TranspilingStatus;
    get typechecked(): TypeCheckStatus;
    get started(): ServiceStatus | null;
    get ports(): IServicePortsConfig | undefined;
    get metrics(): ICommandMetrics;
    assignPorts(ports: IServicePortsConfig): void;
    updateStatus(): {
        transpiled: (to: TranspilingStatus) => void;
        typechecked: (to: TypeCheckStatus) => void;
        started: (to: ServiceStatus) => void;
    };
    updateMetric(): {
        transpile: (to: ICommandMetric) => void;
        typecheck: (to: ICommandMetric) => void;
        start: (to: ICommandMetric) => void;
    };
    get isService(): boolean;
    private _checkIfService;
    get isSlsService(): boolean;
    transpile(): Promise<void>;
    private _attachDefaultHandlers;
}
