"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const parse_deps_graph_1 = require("./parse-deps-graph");
const read_config_1 = require("./read-config");
const yarn_install_1 = require("./yarn-install");
const init = async (projectRoot, logger, eventsLog, reinstall = true) => {
    const project = await (0, parse_deps_graph_1.getDependenciesGraph)(projectRoot, eventsLog);
    const config = await (0, read_config_1.readConfig)(projectRoot, logger == null, eventsLog);
    if (reinstall) {
        await (0, yarn_install_1.yarnInstall)(project, logger, eventsLog);
    }
    return { config: config, project };
};
exports.init = init;
//# sourceMappingURL=init.js.map