"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogsFileHandler = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const runner_core_1 = require("@microlambda/runner-core");
const utils_1 = require("@microlambda/utils");
class LogsFileHandler extends runner_core_1.LogFilesHandler {
    workspace;
    projectRoot;
    logsRoot;
    constructor(workspace) {
        super(workspace);
        this.workspace = workspace;
        this.projectRoot = (0, utils_1.resolveProjectRoot)();
        this.logsRoot = (0, path_1.join)(this.projectRoot, '.mila', 'logs');
        this._createLogsDirectory();
    }
    _createLogsDirectory() {
        if (!(0, fs_1.existsSync)(this.logsRoot)) {
            (0, fs_1.mkdirSync)(this.logsRoot, { recursive: true });
        }
    }
    path(target) {
        return (0, path_1.join)(this.logsRoot, `${this.workspace.name.replace('/', '-')}.${target}.logs`);
    }
}
exports.LogsFileHandler = LogsFileHandler;
//# sourceMappingURL=file.js.map