import { Observable } from 'rxjs';
import { Workspace as CentipodWorkspace } from '@microlambda/runner-core';
import { IPackageEvent } from './package-event';
export declare class Packager {
    private readonly _useLayers;
    private readonly _buildLayer;
    private readonly _projectRoot;
    private _packagePath;
    private _tmpPath;
    private _logger;
    constructor(_useLayers?: boolean, _buildLayer?: boolean);
    static readMetadata(service: CentipodWorkspace): {
        took: number;
        megabytes: {
            code: number;
            layer?: number;
        };
    };
    bundle(service: string, level?: number): Observable<IPackageEvent>;
    private _createTransientProject;
    private _focusWorkspace;
    private _copyCompiledFiles;
    private _yarnInstall;
    private _generateArchives;
    private _generateLayerArchive;
    private _copyDependencies;
    private _copyCompiledSources;
    private _generateCodeArchive;
    private _generateZip;
}
