"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDependenciesGraph = void 0;
const tslib_1 = require("tslib");
const project_1 = require("./graph/project");
const ora_1 = tslib_1.__importDefault(require("ora"));
const getDependenciesGraph = async (projectRoot, logger) => {
    const parsingGraph = logger ? (0, ora_1.default)('Parsing dependency graph 🧶').start() : undefined;
    const graph = await project_1.Project.loadProject(projectRoot, logger);
    parsingGraph?.succeed();
    return graph;
};
exports.getDependenciesGraph = getDependenciesGraph;
//# sourceMappingURL=parse-deps-graph.js.map