"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readConfig = void 0;
const tslib_1 = require("tslib");
const config_1 = require("@microlambda/config");
const ora_1 = tslib_1.__importDefault(require("ora"));
const readConfig = (projectRoot, silent = true, eventsLog) => {
    let config;
    const readingConfig = !silent ? (0, ora_1.default)('Loading configuration ⚙️') : undefined;
    try {
        readingConfig?.start();
        const configReader = new config_1.ConfigReader(projectRoot, eventsLog);
        config = configReader.rootConfig;
        readingConfig?.succeed('Configuration loaded ⚙️');
    }
    catch (e) {
        readingConfig?.fail(e.message || 'Error reading config file');
        throw e;
    }
    return config;
};
exports.readConfig = readConfig;
//# sourceMappingURL=read-config.js.map