import { Observable } from 'rxjs';
import { SharedInfraDeployEvent } from './types';
import { IStateConfig } from '@microlambda/config';
import { IEnvironment } from '@microlambda/remote-state';
import { IBaseLogger } from '@microlambda/types';
import { Project } from '../graph/project';
export declare const deploySharedInfrastructure: (params: {
    project: Project;
    config: IStateConfig;
    env: IEnvironment;
    concurrency: number;
    verbose: boolean;
    force: boolean;
    currentRevision: string;
    onlyEnvSpecific: boolean;
}, logger?: IBaseLogger) => Promise<Observable<SharedInfraDeployEvent>>;
export declare const removeSharedInfrastructure: (params: {
    project: Project;
    config: IStateConfig;
    env: IEnvironment;
    concurrency: number;
    verbose: boolean;
    currentRevision: string;
    onlyEnvSpecific: boolean;
}, logger?: IBaseLogger) => Promise<Observable<SharedInfraDeployEvent>>;
